from mpi4py import MPI

import cg

from matrix_mpi import MatrixMPI as Matrix
from vector_mpi import VectorMPI as Vector

# from matrix import Matrix
# from vector import Vector

comm = MPI.COMM_WORLD
size = comm.Get_size()
rank = comm.Get_rank()

n = 1_000
h = 1 / (n - 1)

A = Matrix([-1, 2, -1], structure="tridiagonal", n=n)
x0 = Vector([1] * n)
b = Vector([h**2 * 2] * n)

x = cg.cg(A, x0, b)

# if rank == 0:
#     print(f"ranks = {size}: x = {x}")
